You are not logged in.

#26 2014-08-12 20:12:31

emeres
Member
Registered: 2013-10-08
Posts: 1,570

Re: Skype 4.2 not supported anymore?

mid-kid wrote:

We will porbably have to wait and hope for ALSA support.

The software industry is not a church, "hoping and waiting" is not going to accomplish anything. If you want the ALSA support back, put skype/microsoft under pressure, use the [social]media, call for boycott, support alternatives like tox, preferably with a campaign or start some other form of activism against s/ms // for alternatives/fixes. If you want to motivate s/ms with money, start a kickstarter campaign for bringing ALSA support back into Skype, ask them first how much it would cost.

You want change, do something about it.

Offline

#27 2014-08-12 20:42:19

nomorewindows
Member
Registered: 2010-04-03
Posts: 3,236

Re: Skype 4.2 not supported anymore?

I have to use pulseaudio to even get my microphone to work.


I may have to CONSOLE you about your usage of ridiculously easy graphical interfaces...
Look ma, no mouse.

Offline

#28 2014-08-12 21:02:53

emeres
Member
Registered: 2013-10-08
Posts: 1,570

Re: Skype 4.2 not supported anymore?

nomorewindows wrote:

I have to use pulseaudio to even get my microphone to work.

That should not be the case. Open a new thread in m&g, this is completely unrelated to this thread.

Offline

#29 2014-08-12 21:16:47

nomorewindows
Member
Registered: 2010-04-03
Posts: 3,236

Re: Skype 4.2 not supported anymore?

emeres wrote:
nomorewindows wrote:

I have to use pulseaudio to even get my microphone to work.

That should not be the case. Open a new thread in m&g, this is completely unrelated to this thread.

I think that's what I had to do to get skype to recognize my microphone.  With alsa, it was scratchy, and it could be my audio hardware.  Installing pulseaudio made it usable.  It didn't just affect skype, but skype wouldn't work for me without PA.


I may have to CONSOLE you about your usage of ridiculously easy graphical interfaces...
Look ma, no mouse.

Offline

#30 2014-08-14 17:54:04

mid-kid
Member
Registered: 2013-05-07
Posts: 177

Re: Skype 4.2 not supported anymore?

emeres wrote:
mid-kid wrote:

We will porbably have to wait and hope for ALSA support.

The software industry is not a church, "hoping and waiting" is not going to accomplish anything. If you want the ALSA support back, put skype/microsoft under pressure, use the [social]media, call for boycott, support alternatives like tox, preferably with a campaign or start some other form of activism against s/ms // for alternatives/fixes. If you want to motivate s/ms with money, start a kickstarter campaign for bringing ALSA support back into Skype, ask them first how much it would cost.

You want change, do something about it.

Boycotting has barely helped anytime as far as I've seen, but if that's your game, then go get at it. Looks like the folks over at skype community are hard at work doing just that. Keep in mind that microsoft has a bad track record regarding listening to it's (power) users (See: Metro in Windows 8), and linux users, especially ones who use ALSA, are a very little amount in Skype's userbase.
This, and you aren't forced to use Skype, so if you don't want, seek alternatives, like Tox, and bring your friends with you. This is what I'm trying to do, but still a lot of people I want to keep in touch with are on Skype, so I have to use it if I _want_ to contact them via this medium.
That said, just do whatever you feel.


If it ain't broke, you haven't tweaked it enough.

Offline

#31 2014-08-14 17:58:40

emeres
Member
Registered: 2013-10-08
Posts: 1,570

Re: Skype 4.2 not supported anymore?

@mid-kid Next time, read the *whole* thread. This thread is going nowhere right now.

Last edited by emeres (2014-08-14 17:59:29)

Offline

#32 2014-08-16 10:48:19

mid-kid
Member
Registered: 2013-05-07
Posts: 177

Re: Skype 4.2 not supported anymore?

...aaaand there we go.
I got back from vacation and I finally got a look at it.
Just grabbed a hex editor (hexedit from the repos), opened /usr/lib32/skype/skype, searched for 4.2.0.13 in the ASCII (Press tab to switch to ASCII and '/' to search), replaced it with 4.3.0.37 (CTRL-X to save), and it works.

I'm going to add a patch to the PKGBUILD as soon as I figure out how.

EDIT: There we go, skype42-4.2.0.13-5 just went live on AUR. Now, cross your fingers and hope this lasts. No need to thank me, you're quite welcome. wink

Last edited by mid-kid (2014-08-16 11:10:00)


If it ain't broke, you haven't tweaked it enough.

Offline

#33 2014-08-16 12:27:42

emeres
Member
Registered: 2013-10-08
Posts: 1,570

Re: Skype 4.2 not supported anymore?

See, you took the issue in your own hands and now it works. Hopefully the patch will not break any features and there will be no changes on the network side, that would render this unusable. It would be nice, if other users could confirm full functionality, especially from across architectures.

Offline

#34 2014-08-16 12:51:37

mid-kid
Member
Registered: 2013-05-07
Posts: 177

Re: Skype 4.2 not supported anymore?

emeres wrote:

See, you took the issue in your own hands and now it works. Hopefully the patch will not break any features and there will be no changes on the network side, that would render this unusable. It would be nice, if other users could confirm full functionality, especially from across architectures.

Remember this?

mid-kid wrote:

We could try to work our way around version checking, but even then they can have disabled the protocol for this version.

I didn't expect it to be possible, but I never said I'd do nothing.

That said, I can confirm being able to chat with a friend who uses OSX, and linux to linux works too.

Last edited by mid-kid (2014-08-16 12:53:26)


If it ain't broke, you haven't tweaked it enough.

Offline

#35 2014-08-16 12:53:05

firekage
Member
From: Eastern Europe, Poland
Registered: 2013-06-30
Posts: 569

Re: Skype 4.2 not supported anymore?

Sorry for stupid question...but, in fact, i don't understand - what your patch does? What did you do? I use skype 4.2, i have installed alsa and configured pulseaudio according to wiki and i can use skype with alsa/pulse (4.2).

Offline

#36 2014-08-16 12:54:31

mid-kid
Member
Registered: 2013-05-07
Posts: 177

Re: Skype 4.2 not supported anymore?

firekage wrote:

Sorry for stupid question...but, in fact, i don't understand - what your patch does? What did you do? I use skype 4.2, i have installed alsa and configured pulseaudio according to wiki and i can use skype with alsa/pulse (4.2).

The patch does exactly this:

mid-kid wrote:

Just grabbed a hex editor (hexedit from the repos), opened /usr/lib32/skype/skype, searched for 4.2.0.13 in the ASCII (Press tab to switch to ASCII and '/' to search), replaced it with 4.3.0.37 (CTRL-X to save), and it works.

Basically it changes the version number in the skype binary.

Last edited by mid-kid (2014-08-16 12:55:20)


If it ain't broke, you haven't tweaked it enough.

Offline

#37 2014-08-16 13:02:55

firekage
Member
From: Eastern Europe, Poland
Registered: 2013-06-30
Posts: 569

Re: Skype 4.2 not supported anymore?

Yes, yes. I understand this part - but why change version number? I have old skype, 4.2 (befowe leaving alsa support) and it works. If i understand, you have installed newer version of skype, 4.3 (where support for alsa was left) and by changing version numer, it works with Alsa?

Offline

#38 2014-08-16 13:11:04

mid-kid
Member
Registered: 2013-05-07
Posts: 177

Re: Skype 4.2 not supported anymore?

firekage wrote:

Yes, yes. I understand this part - but why change version number? I have old skype, 4.2 (befowe leaving alsa support) and it works. If i understand, you have installed newer version of skype, 4.3 (where support for alsa was left) and by changing version numer, it works with Alsa?

You understand wrong.
I use skype 4.2 (which has ALSA support). This version does not work anymore unless you make it think it's the new version.
So, the skype42 AUR package now contains version 4.2, so it supports ALSA and has everything 4.2 has, except that when you run ´skype --version´ it tells you it's 4.3, (and it tells the skype servers the same, so they don't kick you).

Last edited by mid-kid (2014-08-16 13:12:23)


If it ain't broke, you haven't tweaked it enough.

Offline

#39 2014-08-16 13:11:23

emeres
Member
Registered: 2013-10-08
Posts: 1,570

Re: Skype 4.2 not supported anymore?

@mid-kid Remember this?

mid-kid wrote:

We will porbably have to wait and hope for ALSA support.

You presume hostility, where there is none.

I actually meant different architectures of the host, ergo if you have a x86_64 architecture, try to run it under a x86 one. Skype is either way a 32-bit application from what I read from other users, but the package binaries still differ, so there might be a problem, but hopefully/probably not.

@firekage Why not try it yourself?

Offline

#40 2014-08-16 13:15:13

mid-kid
Member
Registered: 2013-05-07
Posts: 177

Re: Skype 4.2 not supported anymore?

emeres wrote:

@mid-kid Remember this?

mid-kid wrote:

We will porbably have to wait and hope for ALSA support.

You presume hostility, where there is none.

What makes you think so?
Remember: I didn't expect it to be possible, so if it wasn't (I thought that was pretty probable), there wasn't much we could do. (Except for what you said, even if I don't quite agree.)

EDIT: I sent you an email as a response to an old post of yours. Let's take this conversation there; it's getting off-topic.

emeres wrote:

I actually meant different architectures of the host, ergo if you have a x86_64 architecture, try to run it under a x86 one. Skype is either way a 32-bit application from what I read from other users, but the package binaries still differ, so there might be a problem, but hopefully/probably not.

The packages differ between x86_64 and i686 because they have different dependencies.
The skype binary is i686.

Last edited by mid-kid (2014-08-16 13:19:12)


If it ain't broke, you haven't tweaked it enough.

Offline

#41 2014-08-16 13:34:16

emeres
Member
Registered: 2013-10-08
Posts: 1,570

Re: Skype 4.2 not supported anymore?

Not interested.

The binaries within the packages differ, but that is probably the result of stripping and/or other [post packaging] processes, unless I miss something here. The same compiled binary is used as source for both architectures, but again, this is probably irrelevant. Just get a confirmation that it runs well on both, should there be any problems, I would change the options array.

Last edited by emeres (2014-08-16 14:03:52)

Offline

#42 2014-08-16 14:31:38

firekage
Member
From: Eastern Europe, Poland
Registered: 2013-06-30
Posts: 569

Re: Skype 4.2 not supported anymore?

mid-kid wrote:
firekage wrote:

Yes, yes. I understand this part - but why change version number? I have old skype, 4.2 (befowe leaving alsa support) and it works. If i understand, you have installed newer version of skype, 4.3 (where support for alsa was left) and by changing version numer, it works with Alsa?

You understand wrong.
I use skype 4.2 (which has ALSA support). This version does not work anymore unless you make it think it's the new version.
So, the skype42 AUR package now contains version 4.2, so it supports ALSA and has everything 4.2 has, except that when you run ´skype --version´ it tells you it's 4.3, (and it tells the skype servers the same, so they don't kick you).

Thank you. Sill, it is strange for me. I use Alsa 4.2, i can without any problem talk with my friend and family that use skype with newer version on windows machines. I don't have problems with 4.2, i don't installed it from aur, i just blocked pacman to update skype.

I didn't do anything in order to change version number to use skype and not being "kicked out". I use 4.2. I'm not kicked out.

Last edited by firekage (2014-08-16 14:32:48)

Offline

#43 2014-08-16 14:34:30

firekage
Member
From: Eastern Europe, Poland
Registered: 2013-06-30
Posts: 569

Re: Skype 4.2 not supported anymore?

emeres wrote:

@mid-kid Remember this?

@firekage Why not try it yourself?

Because i don't see a point for it. I use Arch X32-64, i use old  4.2 skype and it works. I don't have to change name version, i'm not being kicked, and wanted to know the difference, or problem. Still don't see a point to install skype from aur, change name version when the old one on 32-64 bit works great.

Offline

#44 2014-08-16 14:36:02

mid-kid
Member
Registered: 2013-05-07
Posts: 177

Re: Skype 4.2 not supported anymore?

firekage wrote:

I didn't do anything in order to change version number to use skype and not being "kicked out". I use 4.2. I'm not kicked out.

Well, that's weird, because it doesn't work for everyone else in this thread.
Maybe you disabled update checking? Options->Advanced->Check for updates on startup.

Last edited by mid-kid (2014-08-16 14:39:03)


If it ain't broke, you haven't tweaked it enough.

Offline

#45 2014-08-16 14:59:50

firekage
Member
From: Eastern Europe, Poland
Registered: 2013-06-30
Posts: 569

Re: Skype 4.2 not supported anymore?

No, i haven't changed that. I have "check updates on startup.

[firekage@arch_desktop ~]$ LANG=C sudo pacman -Ss skype
community/skype-call-recorder 0.9-1 [installed]
    Open source tool that allows you to record your Skype calls on Linux
multilib/skype 4.3.0.37-3 [installed: 4.2.0.13-4]
    P2P software for high-quality voice communication
[firekage@arch_desktop ~]$ 

Offline

#46 2014-08-16 16:40:16

midixinga
Member
Registered: 2014-01-18
Posts: 187

Re: Skype 4.2 not supported anymore?

firekage wrote:
emeres wrote:

@mid-kid Remember this?

@firekage Why not try it yourself?

Because i don't see a point for it. I use Arch X32-64, i use old  4.2 skype and it works. I don't have to change name version, i'm not being kicked, and wanted to know the difference, or problem. Still don't see a point to install skype from aur, change name version when the old one on 32-64 bit works great.

it seems to work, when you never sign out (only quit)
https://www.linuxquestions.org/question … ost5219935

Last edited by midixinga (2014-08-16 16:41:33)


[Desktop | Intel i4570 CPU |  Internal Graphics HD4600 |  ASRock H87M Pro4 | 8 GB RAM | UEFI/GPT | Samsung SSD 850 | Single-Boot Arch 64 Bit | sytemd-boot | KDE 4 xfce Plasma5]

Offline

#47 2014-08-16 16:41:50

firekage
Member
From: Eastern Europe, Poland
Registered: 2013-06-30
Posts: 569

Re: Skype 4.2 not supported anymore?

I tried quit, close, shutdown apps and log out, log in - always works.

Sorry for making a wrong statement. I checked again, what You said. It is just like you said. I must do something that i did not realise by myself. I must have installed new skype, log in, that just do a quit, rather than log off. I logeed off now and i'm unable to reconect to skype 4.2.

Last edited by firekage (2014-08-16 17:06:21)

Offline

#48 2014-08-17 08:36:39

emeres
Member
Registered: 2013-10-08
Posts: 1,570

Re: Skype 4.2 not supported anymore?

@firekage Did you try out the instructions in link midixinga posted?

RafaBR on linuxquestions.org wrote:

Hi, if anyone need to continue using old version of skype (4.2.x), these steps works for me:

* remove skype 4.2.x version
* install skype 4.3.x version
* connect and mark to "auto connect" on next time
* click Exit (don't disconnect)
* remove skype 4.3.x
* install again skype 4.2.x version
* now the skype will connect automatically
* NEVER DISCONNECT when exit

* This is my first post, sorry for anything.

Rafael

Offline

#49 2014-08-17 09:44:37

firekage
Member
From: Eastern Europe, Poland
Registered: 2013-06-30
Posts: 569

Re: Skype 4.2 not supported anymore?

No, i haven't because i have installed alsa and pulseaudio, and pulseaudio is configured in a way that it won't be able to grab my alsa hardware when playing. Skype uses Alsa no more, but there is a way to configure Alsa with pulseaudio in a way where pulseaudio works for skype, alsa for other thing, and i did it. I have newest skype installed, configured alsa and pulse to use pulse with skype without grabbing alsa devices and i can use skype, or other sound apps without problem.


I posted because i was curious about the problem, but in fact, i barely log off from skype, i always did quit, that's why i was autocennected even on old skype, mentioned here.

Last edited by firekage (2014-08-17 09:45:40)

Offline

#50 2014-08-29 21:58:55

GentooMonk
Member
Registered: 2013-08-01
Posts: 7

Re: Skype 4.2 not supported anymore?

I'd like to point out something, I have 2 skype accounts, one of them only works on 4.3, the other one works fine on skype 4.2.

My problem with skype 4.3 is it messes up my connection, it will maximize my upload stream until everything pretty much disconnects unless I turn off the camera.

Offline

Board footer

Powered by FluxBB